DOMDocument::importNode
DOMDocument::loadHTML
DOMDocument
PHP Manual

# DOMDocument::load

(PHP 5)

DOMDocument::load — Load XML from a file

### Description

public mixed DOMDocument::load ( string `$filename` [, int `$options` = 0 ] )

Loads an XML document from a file.

Warning

Unix style paths with forward slashes can cause significant performance degradation on Windows systems; be sure to call realpath() in such a case.

### Parameters

`filename`

  The path to the XML document.

`options`

  Bitwise OR of the libxml option constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If called statically, returns a DOMDocument or `FALSE` on failure.

### Errors/Exceptions

If an empty string is passed as the `filename` or an empty file is named, a warning will be generated. This warning is not generated by libxml and cannot be handled using libxml's error handling functions.

This method may be called statically, but will issue an `E_STRICT` error.

### Examples

Example #1 Creating a Document

`<?php
$doc = new DOMDocument();
$doc->load('book.xml');
echo $doc->saveXML();
?>`

### See Also

- DOMDocument::loadXML() - Load XML from a string
- DOMDocument::save() - Dumps the internal XML tree back into a file
- DOMDocument::saveXML() - Dumps the internal XML tree back into a string

DOMDocument::importNode
DOMDocument::loadHTML
DOMDocument
PHP Manual